%define upstream_name    Search-Elasticsearch
%define upstream_version 2.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A client for running index-level requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::URI::Escape)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Tiny) >= 0.43.0
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(IO::Uncompress::Inflate)
BuildRequires: perl(JSON::MaybeXS) >= 1.2.2
BuildRequires: perl(JSON::PP)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Any) >= 1.20.0
BuildRequires: perl(Log::Any::Adapter)
BuildRequires: perl(Log::Any::Adapter::Callback) >= 0.90.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 1.3.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(POSIX)
BuildRequires: perl(Package::Stash) >= 0.340.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::SharedFork)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
the Search::Elasticsearch manpage is the official Perl client for
Elasticsearch, supported by http://www.elasticsearch.com. Elasticsearch
itself is a flexible and powerful open source, distributed real-time search
and analytics engine for the cloud. You can read more about it on
http://www.elasticsearch.org.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 2.20.0-1.mga6
+ Revision: 1010781
- update to 2.02

* Sat Jan 16 2016 shlomif <shlomif> 2.0.0-1.mga6
+ Revision: 923919
- update to 2.00

* Sun Sep 06 2015 sander85 <sander85> 1.990.0-1.mga6
+ Revision: 873597
- update to 1.99

* Wed Jun 24 2015 shlomif <shlomif> 1.200.0-1.mga6
+ Revision: 842300
- New version 1.20 + Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 1.140.0-5.mga5
+ Revision: 790417
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.140.0-4.mga5
+ Revision: 745562
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.140.0-3.mga5
+ Revision: 733372
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.140.0-2.mga5
+ Revision: 686177
- Mageia 5 Mass Rebuild

* Fri Jul 25 2014 sander85 <sander85> 1.140.0-1.mga5
+ Revision: 656440
- update to 1.14

* Sat Jun 14 2014 sander85 <sander85> 1.130.0-1.mga5
+ Revision: 636160
- update to 1.13

* Fri Jun 06 2014 jquelin <jquelin> 1.120.0-1.mga5
+ Revision: 634135
- imported package perl-Search-Elasticsearch

